<? $this->headScript()
		//->appendFile(_st('overlay.js'), 'text/javascript')
		//->appendFile(_st('escort-reviews.js'), 'text/javascript')
		->appendFile(_st('Autocompleter.js'), 'text/javascript')
		->appendFile(_st('reviews.js'), 'text/javascript')
		->appendScript('Cubix.Rev.lng = "' . Cubix_I18n::getLang() . '"');
?>

<? /* <link href="<?= _st('reviews.css') ?>" media="screen" rel="stylesheet" type="text/css" /> */ ?>

<style type="text/css">
	.r-showname {
		position:relative;
		outline: none;
	}

	.r-showname span {
		background:none repeat scroll 0 0 #FFFFFF !important;
		display:block;
		height:132px;
		left:30px;
		position:absolute;
		top:5px;
		visibility:hidden;
		width:100px;
		padding: 0px !important;
		border: none !important;
	}

	.r-showname:hover span {
		visibility:visible;
		z-index:100;
	}
	
	.r-showname:hover span img {
		border:1px solid #CCCCCC;
		margin:0;
		padding:1px;
	}
</style>

<?php $config = Zend_Registry::get('reviews_config'); ?>
<? if ( ! $this->ajax ): ?>
<div class="i">
	<div id="r-top">
		<div class="search">
			<form>
				<div class="fleft item">
					<label for="r_city"><?= $this->t('choose_your_city') ?>:</label>
					<select name="r_city" id="r_city" style="width: 150px;">
						<option value=""><?= $this->t('whole_france') ?></option>
						<?php foreach ($this->cities as $city): ?>
							<option value="<?= $city['city_id'] ?>"><?= $city['city_title'] ?></option>
						<?php endforeach; ?>
					</select>
				</div>

				<div class="fleft item">
					<label for="f_showname"><?= $this->t('showname') ?>:</label>
					<input type="text" id="f_showname" name="showname" value="" />
				</div>

				<div class="fleft item">
					<label for="f_member"><?= $this->t('member') ?>:</label>
					<input type="text" id="f_member" name="member_name" value="" />
				</div>

				<div class="fleft item" style="margin-top: 18px;">
					<input type="button" value="<?= $this->t('search') ?>" id="f_search" />
				</div>

				<div class="clear"></div>
			</form>
		</div>

		<div class="clear"></div>
	</div>

	<div class="rcol">
		<div class="guide-content ajax">
<? endif; ?>
			<input type="hidden" name="page" value="<?= $this->page ?>" />
			<input type="hidden" name="ord_dir" value="<?= $this->ord_dir ?>" />
			<input type="hidden" name="ord_field" value="<?= $this->ord_field ?>" />
			<input type="hidden" name="city_id" value="<?= $this->city_id ?>" />
			<input type="hidden" name="from_members_info" id="from_members_info" value="<?= $this->from_members_info ?>" />
			<table cellspacing="0" cellpadding="0" class="tableData" style="width: 100%;">
				<? if(!$this->from_members_info): ?>
				<tr>
					<td colspan="8" align="right"><?= $this->t('over_count_reviews', array('count' => $this->count)) ?></td>
				</tr>
				<? endif;?>
				<tr class="tableHeader">
					<th style="width: 65px;">&nbsp;</th>
					<th style="width: 80px;"><a href="#" class="ord" rel="creation_date|<?= $this->ord_dir ?>"><?= $this->t('date') ?></a><? if($this->ord_field == 'creation_date'):?>&nbsp;<img src="<?= _st('reviews/icon_' . $this->ord_dir . '.gif') ?>" /><? endif;?></th>
					<th class="left"><a href="#" class="ord" rel="showname|<?= $this->ord_dir ?>"><?= $this->t('showname') ?></a><? if($this->ord_field == 'showname'):?>&nbsp;<img src="<?= _st('reviews/icon_' . $this->ord_dir . '.gif') ?>" /><? endif;?></th>
					<th><a href="#" class="ord" rel="agency_name|<?= $this->ord_dir ?>"><?= $this->t('agency') ?></a><? if($this->ord_field == 'agency_name'):?>&nbsp;<img src="<?= _st('reviews/icon_' . $this->ord_dir . '.gif') ?>" /><? endif;?></th>
					<th><a href="#" class="ord" rel="city_title|<?= $this->ord_dir ?>"><?= $this->t('city') ?></a><? if($this->ord_field == 'city_title'):?>&nbsp;<img src="<?= _st('reviews/icon_' . $this->ord_dir . '.gif') ?>" /><? endif;?></th>
					<th><a href="#" class="ord" rel="looks|<?= $this->ord_dir ?>"><?= $this->t('looks') ?></a><? if($this->ord_field == 'looks'):?>&nbsp;<img src="<?= _st('reviews/icon_' . $this->ord_dir . '.gif') ?>" /><? endif;?></th>
					<th><a href="#" class="ord" rel="services|<?= $this->ord_dir ?>"><?= $this->t('services') ?></a><? if($this->ord_field == 'services'):?>&nbsp;<img src="<?= _st('reviews/icon_' . $this->ord_dir . '.gif') ?>" /><? endif;?></th>
					<? if(!$this->from_members_info): ?>
					<th class="left"><a href="#" class="ord" rel="member|<?= $this->ord_dir ?>"><?= $this->t('member') ?></a><? if($this->ord_field == 'member'):?>&nbsp;<img src="<?= _st('reviews/icon_' . $this->ord_dir . '.gif') ?>" /><? endif;?></th>
					<? endif;  ?>
				</tr>
				<?php foreach ($this->items as $item): ?>
					<tr class="center">
						<td><?= $item['is_fake_free'] ? '<img src="' . _st('reviews/verified.png') . '" />' : '&nbsp;' ?></td>
						<td><?= (date('d M Y', $item['creation_date']) == date('d M Y')) ? '<strong>'.$this->t('today').'</strong>' : date('d M Y', $item['creation_date']) ?></td>
						<td class="left">
							<a class="r-showname" href="<?= $this->getLink('escort-reviews', array('showname' => $item['showname'], 'escort_id' => $item['escort_id'])) ?>">
								<span>
									<img height="124" width="92" src="<?= $item['photo_url'] ?>" alt="<?= $item['showname'] ?>" />
								</span>
								<?= $item['showname'] ?>
							</a>
						</td>
						<td><?= $item['agency_name'] ? $item['agency_name'] : 'Independent' ?></td>
						<td><?= $item['city_title'] ? $item['city_title'] : '-' ?></td>
						<td><img src="<?= _st('reviews/faces_' . $item['looks_rating'] . '.png') ?>" /></td>
						<td><img src="<?= _st('reviews/stars_' . $item['services_rating'] . '.png') ?>" /></td>
						<? if(!$this->from_members_info): ?>
						<td class="left">
							<a href="<?= $this->getLink('member-reviews', array('username' => $item['username'])) ?>" <? if ($item['is_premium']): ?>class="rev-premium"<? endif; ?>><?= $item['username'] ?></a>
							<? if ($item['is_premium']): ?><img src="<?= _st('reviews/premium.gif') ?>" /><? endif; ?>
							(<?= $item['reviews_count'] ?>)
						</td>
						<? endif;  ?>
					</tr>
				<?php endforeach; ?>
			</table>

			<? $pages_count = ceil($this->count / $config['perPage']); ?>
			<? if( $pages_count != 1 ): ?>
				<p>
					<? $pages = $this->paging($this->count, $this->page, $config['perPage']); ?>
					<? if ( 1 < $this->page): ?>
					<a class="prev" href="<?= $this->getLink('reviews', array('page' => ($this->page == 2) ? null : $this->page - 1, 'ord_dir' => $this->ord_dir, 'ord_field' => $this->ord_field, 'city_id' => $this->city_id, 'member_name' => $this->member_name, 'showname' => $this->showname)) ?>" onclick="return Cubix.Rev.Load(this)"></a>
					<? endif ?>

					<? foreach ( $pages as $page ): ?>

						<? if ( $this->page == $page ): ?>
						<span><?= $page ?></span>
						<? else: ?>
						<a class="p" href="<?= $this->getLink('reviews', array('page' => ($page == 1) ? null : $page, 'ord_dir' => $this->ord_dir, 'ord_field' => $this->ord_field, 'city_id' => $this->city_id, 'member_name' => $this->member_name, 'showname' => $this->showname)) ?>" onclick="return Cubix.Rev.Load(this)"><?= $page ?></a>
						<? endif ?>

					<? endforeach ?>

					<? if ($this->page < $pages_count - 2 && end($pages) < $pages_count): ?>
					...
					<a class="p" href="<?= $this->getLink('reviews', array('page' => $pages_count, 'ord_dir' => $this->ord_dir, 'ord_field' => $this->ord_field, 'city_id' => $this->city_id, 'member_name' => $this->member_name, 'showname' => $this->showname)) ?>" onclick="return Cubix.Rev.Load(this)"><?= $pages_count ?></a>
					<? endif; ?>

					<? if ( $pages_count > $this->page): ?>
					<a class="next" href="<?= $this->getLink('reviews', array('page' => $this->page + 1, 'ord_dir' => $this->ord_dir, 'ord_field' => $this->ord_field, 'city_id' => $this->city_id, 'member_name' => $this->member_name, 'showname' => $this->showname)) ?>" onclick="return Cubix.Rev.Load(this)"></a>
					<? endif ?>
				</p>
			<? endif; ?>
<? if ( ! $this->ajax ): ?>
		</div>
	</div>
</div>
<? endif; ?>